Bug 734594 - Switch from SysV init scripts to systemd units
Summary: Switch from SysV init scripts to systemd units
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-swift
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 20:49 UTC by Mark McLoughlin
Modified: 2012-02-28 10:46 UTC (History)
3 users (show)

Fixed In Version: openstack-swift-1.4.6-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 10:46:11 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2011-08-30 20:49:22 UTC
According to http://fedoraproject.org/wiki/Packaging:SysVInitScript

  "SysV initscripts are no longer the default, they have been obsoleted by 
   systemd unit files"

See asalkeld's excellent work on doing this for nova and glance in bug #732689 and bug #734345

Note, swift is a little different - we'll need to support the initscript -> systemd migration in the %post scripts since it's not a new package. See:

  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

  Packages migrating to a systemd unit file from a SysV initscript

Comment 1 Fedora Update System 2012-02-14 23:43:48 UTC
openstack-swift-1.4.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-swift-1.4.6-1.fc17

Comment 2 Fedora Update System 2012-02-28 10:46:11 UTC
openstack-swift-1.4.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.